### Hierarchy

- Token

### Implements

- ISourcePosition

## Index

### Constructors

- constructor

### Properties

- ch
- data
- file
- line
- ruleName
- type

## Constructors

### constructor

- new Token(type: string, data: string, line: number, ch: number, file: string, ruleName: string): Token

- - Defined in Token.ts:3

  #### Parameters

  - ##### type: string

  - ##### data: string

  - ##### line: number

  - ##### ch: number

  - ##### file: string

  - ##### ruleName: string

  #### Returns Token

## Properties

### ch

ch: number

Implementation of ISourcePosition.ch

- Defined in Token.ts:8

### data

data: string

- Defined in Token.ts:6

### file

file: string

Implementation of ISourcePosition.file

- Defined in Token.ts:9

### line

line: number

Implementation of ISourcePosition.line

- Defined in Token.ts:7

### ruleName

ruleName: string

- Defined in Token.ts:10

### type

type: string

- Defined in Token.ts:5

Generated using TypeDoc